Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class MinMax

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.MinMax

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class MinMax

extends PostfixMathCommand

Minimum and Maximum functions. Initialize with true for minimum and false for maximum.

This class is very similar to Average, so when making changes, also consider changing Average.

Since:
  3.1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`MinMax(boolean isMin)` Constructor.

Method Summary
`boolean` | `checkNumberOfParameters(int n)` Must have one or more parameter
`java.lang.Object` | `minmax(java.util.Vector<java.lang.Object> vals)`
`void` | `run(java.util.Stack<java.lang.Object> stack)` Run the function on the stack.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinMax

    public MinMax(boolean isMin)

  Constructor.

  Parameters:
    `isMin` - set to true for Minimum, false for Maximum

Method Detail

### checkNumberOfParameters

    public boolean checkNumberOfParameters(int n)

  Must have one or more parameter

  Specified by:
    `checkNumberOfParameters` in interface `PostfixMathCommandI`
  Overrides:
    `checkNumberOfParameters` in class `PostfixMathCommand`
  Parameters:
    `n` - number of parameters function will be called with.
  Returns:
    false if an illegal number of parameters is supplied, true otherwise.

### run

    public void run(java.util.Stack<java.lang.Object> stack)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Throws:
    `EvaluationException`

### minmax

    public java.lang.Object minmax(java.util.Vector<java.lang.Object> vals)
                            throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep